/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.stimmzettel.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QStimmzettelKopfdatum extends EntityPathBase<StimmzettelKopfdatum> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Gebiet
, "gebiet.anschrift"
, "gebiet.ansprechpartner"
, "gebiet.bearbeitenRolle"
, "gebiet.customDataStorage"
, "gebiet.einsehenRolle"
, "gebiet.gebietsart"
, "gebiet.uebergeordnetesGebiet"
, "gebiet.verantwortlicherMandant"
, "gebiet.wahltermin"
, "gebiet.wahl"
	// Gruppe
, "gruppe.customDataStorage"
, "gruppe.logo"
, "gruppe.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QStimmzettelKopfdatum stimmzettelKopfdatum = new QStimmzettelKopfdatum("stimmzettelKopfdatum");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath schluessel = createString("schluessel");

  public final StringPath wert = createString("wert");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.gebietsbaum.entity.QGebiet gebiet;

  public final de.ivu.elect.business.gruppe.entity.QGruppe gruppe;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QStimmzettelKopfdatum(Class<? extends StimmzettelKopfdatum> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.gebiet = inits.isInitialized("gebiet") ? new de.ivu.elect.business.gebietsbaum.entity.QGebiet(forProperty("gebiet"), inits.get("gebiet")) : null;// de.ivu.elect.business.gebietsbaum.entity.QGebiet.gebiet;
    this.gruppe = inits.isInitialized("gruppe") ? new de.ivu.elect.business.gruppe.entity.QGruppe(forProperty("gruppe"), inits.get("gruppe")) : null;// de.ivu.elect.business.gruppe.entity.QGruppe.gruppe;
  }

  public QStimmzettelKopfdatum(String variable) {
    this(StimmzettelKopfdatum.class, forVariable(variable), INITS);
  }

  public QStimmzettelKopfdatum(Path<? extends StimmzettelKopfdatum> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStimmzettelKopfdatum(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStimmzettelKopfdatum(PathMetadata metadata, PathInits inits) {
    this(StimmzettelKopfdatum.class, metadata, inits);
  }
}
